# eric7.Network.IRC.IrcChannelEditDialog

Module implementing a dialog to edit channel data.

### Global Attributes

None

### Classes

IrcChannelEditDialog | Class implementing a dialog to edit channel data.

### Functions

None

## IrcChannelEditDialog

Class implementing a dialog to edit channel data.

### Derived from

QDialog, Ui_IrcChannelEditDialog

### Class Attributes

None

### Class Methods

None

### Methods

IrcChannelEditDialog | Constructor
getData | Public method to get the channel data.
on_nameEdit_textChanged | Private slot to handle changes of the given name.

### Static Methods

None

#### IrcChannelEditDialog (Constructor)

IrcChannelEditDialog(name, key, autoJoin, edit, parent=None)

Constructor

name
  channel name (string)
key
  channel key (string)
autoJoin
  flag indicating, that the channel should be joined automatically (boolean)
edit
  flag indicating an edit of an existing channel (boolean)
parent
  reference to the parent widget (QWidget)

#### IrcChannelEditDialog.getData

getData()

Public method to get the channel data.

Return:
  tuple giving the channel name, channel key and a flag indicating, that the channel should be joined automatically (string, string, boolean)

#### IrcChannelEditDialog.on_nameEdit_textChanged

on_nameEdit_textChanged(txt)

Private slot to handle changes of the given name.

txt
  text of the edit (string)

Up